Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 75 lines (69 sloc) 2.394 kb
26d8871 @mbleigh Updating README
mbleigh authored
1 # Generated by jeweler
2 # DO NOT EDIT THIS FILE DIRECTLY
3 # Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
4 # -*- encoding: utf-8 -*-
5
6 Gem::Specification.new do |s|
7 s.name = %q{oauth2}
d471df7 @mbleigh Regenerated gemspec for version 0.0.10
mbleigh authored
8 s.version = "0.0.10"
26d8871 @mbleigh Updating README
mbleigh authored
9
10 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11 s.authors = ["Michael Bleigh"]
d471df7 @mbleigh Regenerated gemspec for version 0.0.10
mbleigh authored
12 s.date = %q{2010-06-19}
26d8871 @mbleigh Updating README
mbleigh authored
13 s.description = %q{A Ruby wrapper for the OAuth 2.0 protocol built with a similar style to the original OAuth gem.}
14 s.email = %q{michael@intridea.com}
15 s.extra_rdoc_files = [
16 "LICENSE",
17 "README.rdoc"
18 ]
19 s.files = [
20 ".document",
21 ".gitignore",
d67e48f @mbleigh Regenerated gemspec for version 0.0.6
mbleigh authored
22 "CHANGELOG.rdoc",
26d8871 @mbleigh Updating README
mbleigh authored
23 "LICENSE",
24 "README.rdoc",
25 "Rakefile",
26 "VERSION",
27 "lib/oauth2.rb",
28 "lib/oauth2/access_token.rb",
29 "lib/oauth2/client.rb",
d67e48f @mbleigh Regenerated gemspec for version 0.0.6
mbleigh authored
30 "lib/oauth2/response_string.rb",
26d8871 @mbleigh Updating README
mbleigh authored
31 "lib/oauth2/strategy/base.rb",
32 "lib/oauth2/strategy/web_server.rb",
d5ac162 @mbleigh Regenerated gemspec for version 0.0.2
mbleigh authored
33 "oauth2.gemspec",
d6b3292 @mbleigh Regenerated gemspec for version 0.0.4
mbleigh authored
34 "spec/oauth2/access_token_spec.rb",
26d8871 @mbleigh Updating README
mbleigh authored
35 "spec/oauth2/client_spec.rb",
36 "spec/oauth2/strategy/base_spec.rb",
37 "spec/oauth2/strategy/web_server_spec.rb",
38 "spec/spec.opts",
39 "spec/spec_helper.rb",
40 "specs.watchr"
41 ]
42 s.homepage = %q{http://github.com/intridea/oauth2}
43 s.rdoc_options = ["--charset=UTF-8"]
44 s.require_paths = ["lib"]
45 s.rubygems_version = %q{1.3.6}
46 s.summary = %q{A Ruby wrapper for the OAuth 2.0 protocol.}
47 s.test_files = [
d6b3292 @mbleigh Regenerated gemspec for version 0.0.4
mbleigh authored
48 "spec/oauth2/access_token_spec.rb",
49 "spec/oauth2/client_spec.rb",
26d8871 @mbleigh Updating README
mbleigh authored
50 "spec/oauth2/strategy/base_spec.rb",
51 "spec/oauth2/strategy/web_server_spec.rb",
52 "spec/spec_helper.rb"
53 ]
54
55 if s.respond_to? :specification_version then
56 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
57 s.specification_version = 3
58
59 if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
c5f6d0e @mbleigh Regenerated gemspec for version 0.0.7
mbleigh authored
60 s.add_runtime_dependency(%q<faraday>, ["~> 0.4.1"])
15ef361 @mbleigh Regenerated gemspec for version 0.0.10
mbleigh authored
61 s.add_runtime_dependency(%q<multi_json>, [">= 0.0.4"])
26d8871 @mbleigh Updating README
mbleigh authored
62 s.add_development_dependency(%q<rspec>, [">= 1.2.9"])
63 else
c5f6d0e @mbleigh Regenerated gemspec for version 0.0.7
mbleigh authored
64 s.add_dependency(%q<faraday>, ["~> 0.4.1"])
15ef361 @mbleigh Regenerated gemspec for version 0.0.10
mbleigh authored
65 s.add_dependency(%q<multi_json>, [">= 0.0.4"])
26d8871 @mbleigh Updating README
mbleigh authored
66 s.add_dependency(%q<rspec>, [">= 1.2.9"])
67 end
68 else
c5f6d0e @mbleigh Regenerated gemspec for version 0.0.7
mbleigh authored
69 s.add_dependency(%q<faraday>, ["~> 0.4.1"])
15ef361 @mbleigh Regenerated gemspec for version 0.0.10
mbleigh authored
70 s.add_dependency(%q<multi_json>, [">= 0.0.4"])
26d8871 @mbleigh Updating README
mbleigh authored
71 s.add_dependency(%q<rspec>, [">= 1.2.9"])
72 end
73 end
74
Something went wrong with that request. Please try again.